Page MenuHomeVyOS Platform

BGP parameter "enforce-first-as" does not work anymore
Closed, ResolvedPublicBUG

Description

Hi!

In 1.2.2 I used "set protocols bgp 12345 parameters enforce-first-as". After the upgrade to 1.2.4 there was no more BGP connection. It turned out that 1.2.4 does not seem to understand the "enforce-first-as" parameter anymore, although it still shows in command completion:

vyos@RTR2# set protocols bgp 12345 parameters enforce-first-as
[edit]
vyos@RTR2# commit
[ protocols bgp 12345 ]
% Unknown command: bgp enforce-first-as
Error configuring routing subsystem.  See log for more detailed information

As a workaround I now use an as-path-list in a route-map, like:

set policy as-path-list first-AS-00007 rule 10 action 'permit'
set policy as-path-list first-AS-00007 rule 10 regex "^00007_"

Please check!

Thanks & best regards
Michael

Details

Difficulty level
Unknown (require assessment)
Version
1.2.4
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Config syntax change (non-migratable)

Event Timeline

MichaelK created this task.Jan 17 2020, 3:55 PM
MichaelK created this object in space S1 VyOS Public.
Dmitry changed the task status from Open to Confirmed.Jan 17 2020, 5:30 PM
Dmitry triaged this task as High priority.
Dmitry added a subscriber: Dmitry.

Look like FRR changes commands for this feature, now this option per neighbour.

Dmitry changed the subtype of this task from "Task" to "Bug".Jan 17 2020, 5:31 PM

PR https://github.com/vyos/vyatta-cfg-quagga/pull/40 also need add script migration


I built package for 1.2.4 with fix. Now enforce-first-as sets per neighbour. e,g.

set protocols bgp 65535 neighbor 192.168.255.10 enforce-first-as
pasik added a subscriber: pasik.Jan 20 2020, 9:55 PM
syncer assigned this task to jestabro.Mar 9 2020, 2:51 AM
syncer moved this task from Needs Triage to Backlog on the VyOS 1.2 Crux (VyOS 1.2.5) board.
syncer closed this task as Resolved.Mar 15 2020, 10:06 PM
syncer moved this task from Backport Candidates to Finished on the VyOS 1.3 Equuleus board.